IBEOS(3)

NAME
ibeos - set end-of-string mode (board or device)

SYNOPSIS

#include <gpib/ib.h>

int ibeos(int ud, int eosmode);

DESCRIPTION

ibeos() is used to set the end-of-string character and mode. The least significant 8 bits of eosmode specify the eos character. You may also bitwise-or one or more of the following bits to set the eos mode:

Table 7. End-of-String Mode Bits
constant | value (hexadecimal) | meaning
REOS | 0x400 | Enable termination of reads when eos character is received.
XEOS | 0x800 | Assert the EOI line whenever the eos character is sent during writes.
BIN | 0x1000 | Match eos character using all 8 bits (instead of only looking at the 7 least significant bits).

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess